# $Revision: 1.44 $, $Date: 2009/10/08 06:06:59 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Proc
%define		pnam	Background
Summary:	Proc::Background Perl module - generic interface to background process management
Summary(pl.UTF-8):	Moduł Perla Proc::Background - ogólny interfejs do zarządzania procesami w tle
Name:		perl-Proc-Background
Version:	1.10
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4f9d850e31c4131d1a28ffe0d26ef4e2
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Provides:	perl(Proc::Generic)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Proc::Background Perl module is a generic interface for placing
processes in the background on Unix platforms. This module lets you
start, kill, wait on, retrieve exit values, and see if background
processes still exist.

%description -l pl.UTF-8
Moduł Perla Proc::Background stanowi podstawowy interfejs dla
umieszczania procesów w tle na platformach uniksowych. Moduł ten
umożliwia uruchamianie, zabijanie procesów, oczekiwanie na ich
zakończenie i odbieranie kodu powrotu procesu. Za jego pomocą można
też zobaczyć, jakie procesy nadal działają w tle.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/timed-process
%{perl_vendorlib}/Proc/Background.pm
%dir %{perl_vendorlib}/Proc/Background
%{perl_vendorlib}/Proc/Background/Unix.pm
#%%{perl_vendorlib}/Proc/Background/Win32.pm
%{_mandir}/man1/*
%{_mandir}/man3/Proc::Background.*
%{_mandir}/man3/Proc::Background::Unix*
#%%{_mandir}/man3/Proc::Background::Win32*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Proc-Background.spec,v $
Revision 1.44  2009/10/08 06:06:59  amateja
- updated to 1.10

Revision 1.43  2008/07/27 22:46:08  arekm
- release 3

Revision 1.42  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.41  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.40  2004/11/03 22:30:40  paladine
- formatting

Revision 1.39  2004/05/06 18:20:56  ankry
- fixed perl-devel BR

Revision 1.38  2004/05/06 05:34:01  ankry
- cosmetics

Revision 1.37  2004/05/05 15:54:14  ankry
- tests added, license fixes, cosmetics

Revision 1.36  2004/04/15 08:36:00  ankry
- cosmetics

Revision 1.35  2003/09/09 10:24:46  ankry
- spaces -> tab

Revision 1.34  2003/08/18 08:09:09  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.33  2003/05/28 13:00:58  malekith
- massive attack: source-md5

Revision 1.32  2003/05/25 06:24:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.31  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.30  2003/03/01 20:22:32  radek
- should be ready for perl-5.8.0; release++

Revision 1.29  2003/02/28 10:08:29  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.28  2003/02/25 00:41:04  radek
- use the __perl macro

Revision 1.27  2003/02/21 10:31:10  qboosh
- informative pl summary

Revision 1.26  2003/02/21 10:27:39  ankry
- updated to 1.08
- removed Win32 support
- better description

Revision 1.25  2003/02/18 15:37:47  ankry
- massive attack: change CPAN URLs

Revision 1.24  2002/07/12 09:04:41  qboosh
- new %%doc and cosmetics

Revision 1.23  2002/07/11 08:03:00  depesz
- new version; should work; STBR

Revision 1.22  2002/07/10 08:48:31  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/11 14:28:11  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/02/25 10:33:55  depesz
cleanup; revision++

Revision 1.19  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 14:19:42  depesz
automatic: Source location unified, Relase Up

Revision 1.17  2002/02/10 15:32:57  depesz
adapterized

Revision 1.16  2002/01/18 02:14:25  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/11/28 15:20:21  mis
- buildarch noarch; release++

Revision 1.14  2001/09/10 13:05:17  mis
- autoupdated to 1.06

Revision 1.13  2001/08/27 11:18:29  mis
- autoupdated to 1.04

Revision 1.12  2001/04/17 12:14:34  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/02/05 21:38:39  kloczek
- updated to 1.03.

Revision 1.9  2001/01/23 15:33:14  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/08/22 20:51:51  kloczek
- updated to 1.01.

Revision 1.7  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:46  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
